🌐 English

Cloud Compute API

Global compute network. Submit tasks β†’ automatic routing β†’ pay per result.

Quick Start

Create account
POST /v1/accounts β†’ API key + 100,000 credits
Call LLM
POST /v1/chat/completions with Bearer token
Check balance
GET /v1/accounts/<email>/balance
# Create account
curl -X POST https://api.dzty.club/v1/accounts -d '{"name":"Farm","email":"me@ex.com"}'
{"email":"me@ex.com","api_key":"dt_abc...def","balance":100000}

# Call LLM
curl https://api.dzty.club/v1/chat/completions \
  -H "Authorization: Bearer *** \
  -d '{"model":"deepseek-chat","messages":[{"role":"user","content":"Hello"}]}'

API Reference

Chat Completions

OpenAI-compatible. System/user/assistant roles supported.

POST /v1/chat/completions
{"model":"deepseek-chat","messages":[{"role":"user","content":"Hello"}]}
{"choices":[{"message":{"content":"Hi!"}}],"usage":{"total_tokens":11}}

Async Tasks

Submit tasks β†’ queued β†’ background processing β†’ webhook callback.

POST /v1/tasks
{"task_type":"llm","params":{"prompt":"Hi"},"callback_url":"https://..."}
{"task_id":"task_xxx","status":"queued","price":105}
# Poll: GET /v1/tasks/task_xxx
POST/v1/accountsCreate account
GET/v1/accounts/:email/balanceCheck balance
POST/v1/chat/completionsLLM (OpenAI)
POST/v1/tasksSubmit task
GET/v1/tasks/:idPoll result
GET/v1/nodesNodes
GET/v1/pricingPricing

GPU Node Agent

curl -sfL https://soft.dzty.club/install.sh | bash -s -- --key <key>
./dt-node --api api.dzty.club --token <key> --gpu "A100-80G"

Pricing & Economy

TierPrice/seatMultiplier
L1¥500,0005.0x
L2¥5,0004.0x
L3¥1003.0x
L4¥52.0x
L5Free1.0x

Revenue Distribution

RoleShare
Executing node50%
Relay (gateway)15%
L0 relay10%
L1~L5 relay5% each
Public pool10%

Dashboard

URLAccess
partner.dzty.clubAPI Key
admin.dzty.clubAdmin